For all issues regarding the Forums use, please, refer to the Forum Rules.

Our Solutions

Need professional assistance?
Consider our:

Support Offerings

 

Need to speed up your development?
Have a look at our:

Samples & Tools

 

Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

Related pages

All Forum Topics

Topic Replies Last reply
Construct a TopDS_Face on a torus delimited by ellipse projection
2 months 2 weeks ago
7
By Matthieu Dubuget 2 months 1 week ago
A proper way to make animation of AIS_Shape on scene
2 months 2 weeks ago
8
By Kirill Gavrilov 2 months 2 weeks ago
Windows 7.3.0 binary distribution .cmake files contain absolute library paths
2 months 2 weeks ago
0 n/a
BRepBuilderAPI_MakeWire - actions on a non-connectable edge [possible logical error]
2 months 2 weeks ago
6
By Ivan P 2 months 1 week ago
recipe for target 'Standard_CString.lo' failed
2 months 3 weeks ago
1
By Kirill Gavrilov 2 months 3 weeks ago
BRepTools_ReShape
2 months 3 weeks ago
0 n/a
Prs3d_Projector to project on any surfaceplane
2 months 3 weeks ago
1
By Guido van Hilst... 2 months 2 weeks ago
Display a line in view
2 months 3 weeks ago
1
By Ivan P 2 months 3 weeks ago
Good external documentation for Open Cascade beginners
2 months 4 weeks ago
1
By Guido van Hilst... 2 months 2 weeks ago
How to rotate the whole scene?
3 months 2 days ago
2
By Ivan P 3 months 9 hours ago
Merge nearby edges of faces
3 months 3 days ago
0 n/a
Incorrect work of BRepAlgoAPI_Common
3 months 3 days ago
0 n/a
How to create a section view?
3 months 4 days ago
2
By Dmitrii Baranov 3 months 3 days ago
Load Step File
3 months 6 days ago
0 n/a
Making BRepTools_WireExplorer work for wire with TopAbs_INTERNAL and TopAbs_EXTERNAL edges
3 months 1 week ago
0 n/a
Open CASCADE Products 7.3.0 are available!
3 months 1 week ago
0 n/a
BREPOFFSETAPI_THRUSECTIONS Fails in building a shape with four wires.
3 months 1 week ago
0 n/a
Installation successful, but error while rebuilding
3 months 1 week ago
0 n/a
Guidance for using OCC in Windows 10
3 months 2 weeks ago
1
By Kirill Gavrilov 3 months 2 weeks ago
How to correctly create a bounded face from a Geom_BSplineSurface
3 months 2 weeks ago
0 n/a
STEP validation properties
3 months 2 weeks ago
1
By Andrey BETENEV 3 months 2 weeks ago
TopoDS_Edge over a seam of a closed surface
3 months 3 weeks ago
0 n/a
Open CASCADE Technology 7.3.0 is available for download!
3 months 3 weeks ago
5
By Kirill Gavrilov 2 weeks 1 day ago
Installing OpenCascade for Visual Studio 2017: almost there except for build errors
3 months 3 weeks ago
3
By John Bijnens 1 month 4 weeks ago
CAD Assistant - measurent tools ?
3 months 4 weeks ago
1
By Forum supervisor 3 months 4 weeks ago
How to speed up import of IGES data.
4 months 1 day ago
1
By Forum supervisor 4 months 1 day ago
BRepMesh_IncrementalMesh fails with specific deflection parameters
4 months 5 days ago
0 n/a
Reassigning the window to V3d_View will freeze the model. A bug? (OCCT 7.2)
4 months 6 days ago
0 n/a
Wrong result of SelectMgr_RectangularFrustum::IsClipped
4 months 1 week ago
0 n/a
Manually create BREP
4 months 1 week ago
0 n/a
estimate the relative position of a point and another solid
4 months 1 week ago
1
By Anton Shabalin 3 months 3 weeks ago
how to judge adjacency?
4 months 1 week ago
1
By Benjamin Bihler 4 months 1 week ago
Determine if point is an touch point or intersection point of curves
4 months 1 week ago
3
By Eugeny 4 months 1 week ago
Modified shapes in BRepBuilderAPI_MakeWire (and other subclasses of BRepBuilderAPI_MakeShape)
4 months 1 week ago
0 n/a
Build samples for Windows
4 months 2 weeks ago
1
By Kirill Gavrilov 4 months 1 week ago
launch draw.bat failed and launch DRAWEXE.exe failed
4 months 2 weeks ago
2
By kaijun guo 4 months 1 week ago
OCC 6.3 vs. OCC 7.2 drastic drop in boolean op performance?
4 months 2 weeks ago
1
By Forum supervisor 4 months 2 weeks ago
CAD assistant can't start. The procedure entry point ucrtbase.terminate could not be located
4 months 2 weeks ago
4
By gene ei 4 months 1 week ago
The function GetColor in XCAFDoc_ColorTool can not work?
4 months 2 weeks ago
2
By JIN JIN 4 months 2 weeks ago
Splitting edge on cylinder
4 months 2 weeks ago
1
By Adam Updegrove 4 months 2 weeks ago
Error when running script on Xcode
4 months 2 weeks ago
3
By Madhu Vanam 4 months 2 weeks ago
Best practice to store a sub-shape in OCAF hierarchy
4 months 2 weeks ago
2
By Daniel Woodman 4 months 2 weeks ago
Is it possible to use BRepBuilderAPI_Sewing to sew three connected tubes together?
4 months 3 weeks ago
5
By Adam Updegrove 2 months 4 days ago
Get 3D mouse position with the depth buffer
4 months 3 weeks ago
4
By Hugues Delorme 3 months 1 week ago
Make filling with holes (BRepFill_Filling)
4 months 3 weeks ago
0 n/a
STEPControl_Reader cuase ASSERT failed
4 months 3 weeks ago
0 n/a
CAD Assitant on Mavericks
4 months 4 weeks ago
3
By Kirill Gavrilov 4 months 2 weeks ago
Reading a point cloud
5 months 1 day ago
6
By Guido van Hilst... 4 months 3 weeks ago
Check if face lies inside another face
5 months 1 day ago
2
By Guido van Hilst... 4 months 3 weeks ago
entity error
5 months 3 days ago
8
By Derrek Curtis 4 months 2 weeks ago